"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-312/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EDC60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EDD00>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EDDA0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EDE40>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EDEE0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EDF80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE020>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE0C0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE160>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE200>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE2A0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE340>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE3E0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE480>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE520>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE5C0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE660>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE700>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE7A0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE840>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE8E0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EE980>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EEA20>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EEAC0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EEB60>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EEC00>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EECA0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EED40>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EEDE0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EEE80>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EEF20>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EEFC0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF060>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF100>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF1A0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF240>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF2E0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF380>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF420>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF4C0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF560>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF600>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF6A0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF740>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF7E0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF880>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF920>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EF9C0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EFA60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EFB00>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EFBA0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EFC40>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EFCE0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EFD80>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EFE20>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EFEC0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A8EFF60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914040>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A9140E0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914180>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914220>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A9142C0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914360>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914400>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A9144A0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914540>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A9145E0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914680>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914720>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A9147C0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914860>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914900>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A9149A0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914A40>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914AE0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914B80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914C20>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914CC0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914D60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914E00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914F40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914EA0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A914FE0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A915080>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000021E6A915120>)]
name: str = 'fr_HOCCN'
